Log (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.util.log

## Class Log

- java.lang.Object
- - org.eclipse.jetty.util.log.Log

-     public class Log
      extends Object

  Logging. This class provides a static logging interface. If an instance of the org.slf4j.Logger class is found on the classpath, the static log methods are directed to a slf4j logger for "org.eclipse.log". Otherwise the logs are directed to stderr.

  The "org.eclipse.jetty.util.log.class" system property can be used to select a specific logging implementation.

  If the system property org.eclipse.jetty.util.log.IGNORED is set, then ignored exceptions are logged in detail.

  See Also:
    `StdErrLog`, `Slf4jLog`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `__ignored` Legacy flag indicating if `ignore(Throwable)` methods produce any output in the `Logger`s
    `static String` | `__logClass` The `Logger` implementation class name
    `protected static Properties` | `__props` Logging Configuration Properties
    `static String` | `EXCEPTION`
    `static String` | `IGNORED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `debug(String msg)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `debug(String msg, Object arg)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `debug(String msg, Object arg0, Object arg1)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `debug(Throwable th)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static Logger` | `getLog()` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static Logger` | `getLogger(Class<?> clazz)` Obtain a named Logger based on the fully qualified class name.
    `static Logger` | `getLogger(String name)` Obtain a named Logger or the default Logger if null is passed.
    `static Map<String,Logger>` | `getLoggers()` Get a map of all configured `Logger` instances.
    `static Logger` | `getRootLogger()` Get the root logger.
    `static void` | `ignore(Throwable thrown)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `info(String msg)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `info(String msg, Object arg)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `info(String msg, Object arg0, Object arg1)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static boolean` | `initialized()`
    `static boolean` | `isDebugEnabled()` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `setLog(Logger log)`
    `static void` | `setLogToParent(String name)` Set Log to parent Logger.
    `static void` | `warn(String msg)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `warn(String msg, Object arg)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `warn(String msg, Object arg0, Object arg1)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `warn(String msg, Throwable th)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`
    `static void` | `warn(Throwable th)` Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXCEPTION

          public static final String EXCEPTION

      See Also:
        Constant Field Values

    - #### IGNORED

          public static final String IGNORED

      See Also:
        Constant Field Values

    - #### __props

          protected static Properties __props

      Logging Configuration Properties

    - #### __logClass

          public static String __logClass

      The `Logger` implementation class name

    - #### __ignored

          public static boolean __ignored

      Legacy flag indicating if `ignore(Throwable)` methods produce any output in the `Logger`s

  - ### Constructor Detail

    - #### Log

          public Log()

  - ### Method Detail

    - #### initialized

          public static boolean initialized()

    - #### setLog

          public static void setLog(Logger log)

    - #### getLog

          @Deprecated
          public static Logger getLog()

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### getRootLogger

          public static Logger getRootLogger()

      Get the root logger.
      Returns:
        the root logger

    - #### setLogToParent

          public static void setLogToParent(String name)

      Set Log to parent Logger.

      If there is a different Log class available from a parent classloader, call `getLogger(String)` on it and construct a `LoggerLog` instance as this Log's Logger, so that logging is delegated to the parent Log.

      This should be used if a webapp is using Log, but wishes the logging to be directed to the containers log.

      If there is not parent Log, then this call is equivalent to

             Log.setLog(Log.getLogger(name));

      Parameters:
        `name` - Logger name

    - #### debug

          @Deprecated
          public static void debug(Throwable th)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### debug

          @Deprecated
          public static void debug(String msg)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### debug

          @Deprecated
          public static void debug(String msg,
                              Object arg)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### debug

          @Deprecated
          public static void debug(String msg,
                              Object arg0,
                              Object arg1)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### ignore

          @Deprecated
          public static void ignore(Throwable thrown)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### info

          @Deprecated
          public static void info(String msg)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### info

          @Deprecated
          public static void info(String msg,
                             Object arg)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### info

          @Deprecated
          public static void info(String msg,
                             Object arg0,
                             Object arg1)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### isDebugEnabled

          @Deprecated
          public static boolean isDebugEnabled()

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### warn

          @Deprecated
          public static void warn(String msg)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### warn

          @Deprecated
          public static void warn(String msg,
                             Object arg)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### warn

          @Deprecated
          public static void warn(String msg,
                             Object arg0,
                             Object arg1)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### warn

          @Deprecated
          public static void warn(String msg,
                             Throwable th)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### warn

          @Deprecated
          public static void warn(Throwable th)

      Deprecated. anonymous logging is deprecated, use a named `Logger` obtained from `getLogger(String)`

    - #### getLogger

          public static Logger getLogger(Class<?> clazz)

      Obtain a named Logger based on the fully qualified class name.
      Parameters:
        `clazz` - the class to base the Logger name off of
      Returns:
        the Logger with the given name

    - #### getLogger

          public static Logger getLogger(String name)

      Obtain a named Logger or the default Logger if null is passed.
      Parameters:
        `name` - the Logger name
      Returns:
        the Logger with the given name

    - #### getLoggers

          public static Map<String,Logger> getLoggers()

      Get a map of all configured `Logger` instances.
      Returns:
        a map of all configured `Logger` instances

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.